.footer {
    padding: 60px 0;
    border-top: 1px solid #EEEEF0;
}

.footer__menu {
    list-style: none;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    margin-bottom: 32px;
    padding: 0 32px;
    margin-left: auto;
    margin-right: auto;
    align-items: baseline;
}

.footer__menu li span{
    padding: 0;
}
.footer__menu li span:before,
.footer__menu li span:after{
    display: none;
}
.footer__menu li > a,
.footer__menu li > span
{
    color: var(--color-text);
    font-size: 18px;
    font-weight: 500;
    padding: 0;
}
.footer__menu li > a:after{
    display: none;
}
.footer__menu li a:hover {
    color: var(--color-violet);
}


.footer__menu li ul {
    list-style: none;
    padding: 0;
}

.footer__menu li .sub-menu {
    gap: 12px;
    display: block;
    flex-direction: column;
    position: relative;
    transform: unset;
    opacity: 1;
    visibility: visible;
    background: transparent;
    box-shadow: none;
    border: none;
    padding: 0;
    margin: 0;
    left: auto;
    transform: unset;
    top: auto;
    overflow: visible;
}

.footer__menu li .sub-menu li a,
.footer__menu li .sub-menu li span
{
    font-size: 15px;
    color: var(--color-gray);
    font-weight: 500;
    padding: 0;
    margin: 23px 0;
    transition: .3s ease-in-out all;
}
.footer__menu li .sub-menu li a:first-of-type{
    /* margin-top: 0; */
}
.footer__menu .menu-item .sub-menu a:hover
{
    background: transparent;
}

.footer__note{
    margin: 16px 0 0 0;
    font-size: 12px;
    color: #aaaaaa;
    
}


.footer__copyright {
    padding: 24px 32px;
    background-color: var(--color-gray-bg);
    border-radius: 24px;
    font-size: 14px;
    font-weight: 400;
    color: var(--color-gray);
}
.footer__copyright b{
    color: var(--color-text);
    font-weight: 500;
}
.footer__copyright a {
    border-bottom: 1px solid #F4E3FD;
    white-space: nowrap;
}

.footer__copyright a:hover {
    border-bottom-color: transparent;
}

@media screen and  (max-width: 1047px) {
    .footer {
        padding: 32px 0;
    }

    .footer__menu {
        flex-wrap: wrap;
        gap: 32px;
        flex-direction: column;
        padding: 0;
    }

    .footer__menu li {flex-direction: column;}

    .footer__menu li > a {
    }

    .footer__menu li a:hover {
    }


    .footer__menu li ul {
    }

    .footer__menu li .sub-menu {
        position: relative;
        display: flex;
        opacity: 1;
        visibility: visible;
        transform: unset;
        margin: 16px 0 0 0;
        top: auto;
        bottom: auto;
    }

    .footer__menu li .sub-menu:before {
        display: none;
    }

    .footer__menu li .sub-menu li a {
    }

    .footer__menu-item {

    }
.footer__menu .menu-item-has-children:after{
    display: none;
}
    .footer__link {
    }

    .footer__menu li .sub-menu li a {font-size: 15px;margin: 0;line-height: 1.5;}

    .footer__copyright {
    }

    .footer__copyright a {
    display: inline-block;
    margin: 12px 0 0 0;
    white-space: nowrap;
    }

    .footer__copyright a:hover {
    }
    .footer__menu li .sub-menu li span{
        margin: 0;
    }
}
